=== debian/changelog ===
golang-code.forgejo-f3-gof3 (3.11.0-1) experimental; urgency=medium

  * Initial release (Closes: #1109522)

 -- Maytham Alsudany <maytham@debian.org>  Sat, 19 Jul 2025 20:29:20 +0800
