=== debian/control ===
Source: golang-code.forgejo-f3-gof3
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-urfave-cli-v3-dev,
 golang-github-santhosh-tekuri-jsonschema-dev (>= 6),
 golang-github-hashicorp-go-version-dev,
 golang-github-42wim-httpsig-dev,
 golang-golang-x-crypto-dev,
 golang-gitlab-gitlab-org-api-client-go-dev,
 golang-github-google-go-cmp-dev,
 golang-github-stretchr-testify-dev <!nocheck>,
 git <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-code.forgejo-f3-gof3
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-code.forgejo-f3-gof3.git
Homepage: https://code.forgejo.org/f3/gof3
XS-Go-Import-Path: code.forgejo.org/f3/gof3

Package: golang-code.forgejo-f3-gof3-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-urfave-cli-dev,
 golang-github-santhosh-tekuri-jsonschema-dev,
 golang-github-hashicorp-go-version-dev,
 golang-github-42wim-httpsig-dev,
 golang-golang-x-crypto-dev,
 golang-gitlab-gitlab-org-api-client-go-dev,
 golang-github-google-go-cmp-dev,
 ${misc:Depends},
Description: tool to convert between projects in a forge and the F3 format (library)
 Convert between projects in a forge and the Friendly Forge Format, allowing
 projects to be mirrored.
 .
 This package contains the gof3 library.

Package: f3-cli
Section: vcs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: tool to convert between projects in a forge and the F3 format (program)
 Convert between projects in a forge and the Friendly Forge Format, allowing
 projects to be mirrored.
 .
 This package contains the f3-cli program.
