=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := f3/file_format_testdata f3/schemas

%:
	dh $@ --builddirectory=debian/build --buildsystem=golang

execute_after_dh_auto_build:
	mv $(CURDIR)/debian/build/bin/main $(CURDIR)/debian/build/bin/f3-cli
