=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://code.forgejo.org/f3/gof3.git \
  refs/tags/v?(\d[\d\.]*)
